Open Babel: OBRotationData Class Reference

Public Types | Public Member Functions | Protected Attributes

# OBRotationData Class Reference

Used to hold the rotational constants and symmetry numbers. More...

`#include <openbabel/generic.h>`

Inheritance diagram for OBRotationData:

List of all members.

## Public Types
enum | RType { UNKNOWN, ASYMMETRIC, SYMMETRIC, LINEAR }
## Public Member Functions
| OBRotationData ()
virtual | ~OBRotationData ()
virtual OBGenericData * | Clone (OBBase *) const
void | SetData (RType RotorType, std::vector< double > RotationalConstants, int SymmetryNumber)
std::vector< double > | GetRotConsts () const
int | GetSymmetryNumber () const
RType | GetRotorType () const
void | SetAttribute (const std::string &v)
void | SetOrigin (const DataOrigin s)
virtual const std::string & | GetAttribute () const
unsigned int | GetDataType () const
virtual const std::string & | GetValue () const
virtual DataOrigin | GetOrigin () const
## Protected Attributes
std::vector< double > | RotConsts
int | SymNum
RType | type
std::string | _attr
unsigned int | _type
DataOrigin | _source

## Detailed Description

Used to hold the rotational constants and symmetry numbers.

## Member Enumeration Documentation

enum RType

Enumerator:

  UNKNOWN |
  ASYMMETRIC |
  SYMMETRIC |
  LINEAR |

## Constructor & Destructor Documentation

OBRotationData | ( | ) | `[inline]`

virtual ~OBRotationData | ( | ) | `[inline, virtual]`

## Member Function Documentation

virtual OBGenericData* Clone | ( | OBBase * | ) | const`[inline, virtual]`

Reimplemented from OBGenericData.

void SetData | ( | RType | RotorType,
|  | std::vector< double > | RotationalConstants,
|  | int | SymmetryNumber
| ) |  | `[inline]`

std::vector<double> GetRotConsts | ( | ) | const`[inline]`

Returns:
  Rotational constants in GHz

int GetSymmetryNumber | ( | ) | const`[inline]`

RType GetRotorType | ( | ) | const`[inline]`

void SetAttribute | ( | const std::string & | v ) | `[inline, inherited]`

Set the attribute (key), which can be used to retrieve this data.

Referenced by OBGastChrg::AssignPartialCharges(), OBMol::DoTransformations(), OBMol::FindLSSR(), OBMol::FindSSSR(), OBForceField::GetAtomTypes(), OBMol::GetFormula(), OBMol::GetLSSR(), OBForceField::GetPartialCharges(), OBMol::GetSSSR(), OBDescriptor::PredictAndSave(), and OBMol::SetFormula().

void SetOrigin | ( | const DataOrigin | s ) | `[inline, inherited]`

Set the origin of this data, which can be used to filter the data.

Referenced by OBGastChrg::AssignPartialCharges(), OpenBabel::CalcSignedVolume(), OBMol::FindAngles(), OBMol::FindLSSR(), OBMol::FindSSSR(), OBMol::FindTorsions(), OBMol::GetFormula(), OBMol::GetLSSR(), OBMol::GetSSSR(), OBDescriptor::PredictAndSave(), and OBMol::SetFormula().

virtual const std::string& GetAttribute | ( | ) | const`[inline, virtual, inherited]`

Returns:
  The attribute (key), which can be used to retrieve this data

Referenced by OBMoleculeFormat::MakeCombinedMolecule().

unsigned int GetDataType | ( | ) | const`[inline, inherited]`

Returns:
  the data type for this object as defined in OBGenericDataType

virtual const std::string& GetValue | ( | ) | const`[inline, virtual, inherited]`

Base class returns a default value (the attribute type) but should never be called.

Reimplemented in OBCommentData, and OBPairData.

Referenced by OBDepict::DrawMolecule(), OBDescriptor::FilterCompare(), and OBDescriptor::GetValues().

virtual DataOrigin GetOrigin | ( | ) | const`[inline, virtual, inherited]`

## Member Data Documentation

std::vector<double> RotConsts`[protected]`

Rotational constants in GHz.

int SymNum`[protected]`

Rotational Symmetry Number.

RType type`[protected]`

linear, symmetric or asymmetric top

std::string _attr`[protected, inherited]`

attribute tag (e.g., "UnitCell", "Comment" or "Author")

Referenced by OBRotamerList::Clone(), and OBNasaThermoData::OBNasaThermoData().

unsigned int _type`[protected, inherited]`

attribute type -- declared for each subclass

Referenced by OBRotamerList::Clone(), and OBNasaThermoData::OBNasaThermoData().

DataOrigin _source`[protected, inherited]`

source of data for accounting

Referenced by OBChiralData::operator=(), OBTorsionData::operator=(), OBAngleData::operator=(), OBConformerData::operator=(), and OBSymmetryData::operator=().

The documentation for this class was generated from the following file:

- generic.h

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines